classification
Title: IDLE: add docstrings to browser.py
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, terry.reedy
Priority: normal Keywords:

Created on 2017-07-08 23:58 by cheryl.sabella, last changed 2017-07-11 06:53 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2638 merged cheryl.sabella, 2017-07-09 00:01
PR 2663 merged terry.reedy, 2017-07-11 06:36
Messages (3)
msg297973 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-07-08 23:58
Add docstrings to browser.py to aid to unit test creation.
msg298131 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-11 06:34
New changeset ba352270b724d67fc938c335c605acdee7474308 by terryjreedy (csabella) in branch 'master':
bpo-30881: IDLE: add docstrings to browser.py (#2638)
https://github.com/python/cpython/commit/ba352270b724d67fc938c335c605acdee7474308
msg298133 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-11 06:53
New changeset 675c1adfe5c87573e81fb295ccad7b6cfa03a3ee by terryjreedy in branch '3.6':
[3.6] bpo-30881: IDLE: add docstrings to browser.py (GH-2638) (#2663)
https://github.com/python/cpython/commit/675c1adfe5c87573e81fb295ccad7b6cfa03a3ee
History
Date User Action Args
2017-08-14 19:42:48terry.reedylinkissue1612262 dependencies
2017-07-11 06:53:34terry.reedysetmessages: + msg298133
2017-07-11 06:40:25terry.reedysetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.6
2017-07-11 06:36:48terry.reedysetpull_requests: + pull_request2728
2017-07-11 06:34:03terry.reedysetmessages: + msg298131
2017-07-11 05:17:59Mariattasetstage: patch review
2017-07-09 00:01:22cheryl.sabellasetpull_requests: + pull_request2703
2017-07-08 23:58:09cheryl.sabellacreate